unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, ExtCtrls, System.ComponentModel;

type
  TfrmMain = class(TForm)
    MainMenu1: TMainMenu;
    N1: TMenuItem;
    N2: TMenuItem;
    N3: TMenuItem;
    N4: TMenuItem;
    N5: TMenuItem;
    N6: TMenuItem;
    N7: TMenuItem;
    N8: TMenuItem;
    N9: TMenuItem;
    N10: TMenuItem;
    N11: TMenuItem;
    N15: TMenuItem;
    Image1: TImage;
    procedure FormActivate(Sender: TObject);
    procedure N7Click(Sender: TObject);
    procedure N8Click(Sender: TObject);
    procedure N12Click(Sender: TObject);
    procedure N4Click(Sender: TObject);
    procedure N11Click(Sender: TObject);
    procedure N10Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

uses Unit2, uspeciality, ustudent,query2,udenglu, query1;


{$R *.dfm}


procedure TfrmMain.FormActivate(Sender: TObject);
begin
DengluForm.Release;
end;

procedure TfrmMain.N7Click(Sender: TObject);
begin
specialityform.showmodal;
end;

procedure TfrmMain.N8Click(Sender: TObject);
begin
studentform.showmodal;
end;





procedure TfrmMain.N12Click(Sender: TObject);
begin
//queryform1.showmodal;
end;

procedure TfrmMain.N4Click(Sender: TObject);
begin
close;
end;

procedure TfrmMain.N11Click(Sender: TObject);
begin
queryform1.showmodal;
end;

procedure TfrmMain.N10Click(Sender: TObject);
begin
queryform2.ShowModal;
end;

end.
